Bug 33831 - Добавить зависимость на perl-Math-PlanePath
: Добавить зависимость на perl-Math-PlanePath
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/slic3r)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2017-08-30 10:19 by
Modified: 2018-07-22 19:42 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2017-08-30 10:19:20
Не хватает зависимости perl-Math-PlanePath

slic3r 
Can't locate Math/PlanePath/ArchimedeanChords.pm in @INC (you may need to
install the Math::PlanePath::ArchimedeanChords module) (@INC contains:
/usr/bin/lib /usr/local/lib64/perl/5.24 /usr/local/share/perl/5.24
/usr/lib64/perl5 /usr/share/perl5 /etc/perl5 /usr/lib/perl5/vendor_perl .) at
/usr/share/perl5/Slic3r/Fill/PlanePath.pm line 84.
BEGIN failed--compilation aborted at /usr/share/perl5/Slic3r/Fill/PlanePath.pm
line 84.
Compilation failed in require at /usr/share/perl5/Slic3r/Fill.pm line 10.
BEGIN failed--compilation aborted at /usr/share/perl5/Slic3r/Fill.pm line 10.
Compilation failed in require at /usr/share/perl5/Slic3r.pm line 42.
BEGIN failed--compilation aborted at /usr/share/perl5/Slic3r.pm line 42.
Compilation failed in require at /usr/bin/slic3r line 16.
BEGIN failed--compilation aborted at /usr/bin/slic3r line 16.

Прошу добавить пропущенную зависимость.
------- Comment #1 From 2017-09-07 11:29:55 -------
Всё гораздо хуже. Не хватает гораздо больше зависимостей, и похоже поэтому не
запускается графический режим slic3r в Сизифе. В p8 всё нормально.

Зависимости в p8:
rpm -q --requires slic3r
perl(ExtUtils/MakeMaker.pm)  
perl(ExtUtils/ParseXS.pm)  
perl(Math/Geometry/Voronoi.pm)  
perl(Module/Build/WithXSpp.pm)  
perl(Scalar/Util.pm)  
perl(Test/Harness.pm)  
perl(Test/More.pm)  
perl(Class/XSAccessor.pm)  
perl(Wx.pm)  
perl(Growl/GNTP.pm)  
perl-Wx-GLCanvas  
perl(OpenGL.pm)  
perl(ExtUtils/Typemaps/Default.pm)  
perl(ExtUtils/Typemap.pm)  
libpolyclipping  
/usr/bin/env  
/usr/lib64/perl5  
/usr/share/perl5  
libc.so.6(GLIBC_2.14)(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.3.4)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
libgcc_s.so.1(GCC_3.0)(64bit)  
libperl-5.22.so()(64bit) >=
set:oijBzf0DlHUGVRRG35SjQFp2ptxiS1hchLIeDhO8Zy5OzaGgf4ZhnaoXAMJef04WPRhlT7jcQbo03gZv2JfSZ9RYYOgbRWX1hZwF0yof1EILdFFKx4qtrWW3BxvKXPVZo5nCHlGQFAb38jV6
rpmlib(SetVersions)  
libpthread.so.0(GLIBC_2.2.5)(64bit)  
libstdc++.so.6(CXXABI_1.3)(64bit)  
libstdc++.so.6(GLIBCXX_3.4)(64bit)  
libstdc++.so.6(GLIBCXX_3.4.11)(64bit)  
libstdc++.so.6(GLIBCXX_3.4.15)(64bit)  
libstdc++.so.6(GLIBCXX_3.4.20)(64bit)  
libstdc++.so.6(GLIBCXX_3.4.21)(64bit)  
libstdc++.so.6(GLIBCXX_3.4.9)(64bit)  
perl(Config.pm)  
perl(Encode.pm)  
perl(Encode/Locale.pm)  
perl(File/Basename.pm)  
perl(File/Spec.pm)  
perl(FindBin.pm)  
perl(Getopt/Long.pm)  
perl(IO/Scalar.pm)  
perl(List/Util.pm)  
perl(Math/PlanePath/ArchimedeanChords.pm)  
perl(Math/PlanePath/Flowsnake.pm)  
perl(Math/PlanePath/HilbertCurve.pm)  
perl(Math/PlanePath/OctagramSpiral.pm)  
perl(Moo.pm) >= 1.003.001
perl(POSIX.pm)  
perl(Thread/Semaphore.pm)  
perl(Time/HiRes.pm)  
perl(XML/SAX/Base.pm)  
perl(XSLoader.pm)  
perl(base.pm)  
perl(constant.pm)  
perl(lib.pm)  
perl(overload.pm)  
perl(parent.pm)  
perl(utf8.pm)  
perl-base >= 1:5.10.0
rtld(GNU_HASH)  
rpmlib(PayloadIsLzma)

Зависимости в пакете Сизифа:
rpm -q --requires slic3r
perl(XML/SAX.pm)
libadmesh >= 0.98.1
/usr/bin/env
/usr/lib64/perl5
/usr/share/perl5
libadmesh.so.1()(64bit) >=
set:jeRZxG6FY1cwOPtO36pGXUDtGu2xzmAWogrZtyKdzYBoIZ7zeiRCvtuSqpkFqnrgY7vd
rpmlib(SetVersions)
libc.so.6(GLIBC_2.14)(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libperl-5.24.so()(64bit) >=
set:oijBzf071AwKmtEMuyedj8P6B8CEnmpNva5OzaGgf4ZhnaoXAMJef04WPRhlT7jcQbo03gZvOchMKitvmPPb3JkHL74Z3A2WTmkxzI21zM8se8rjnvEcYPtveT7bKcnHkFj9ZyztgLjV6
libpoly2tri.so.1.0()(64bit) >= set:kho21YKir8fhc
libpthread.so.0(GLIBC_2.2.5)(64bit)
libstdc++.so.6(CXXABI_1.3)(64bit)
libstdc++.so.6(CXXABI_1.3.8)(64bit)
libstdc++.so.6(CXXABI_1.3.9)(64bit)
libstdc++.so.6(GLIBCXX_3.4)(64bit)
libstdc++.so.6(GLIBCXX_3.4.11)(64bit)
libstdc++.so.6(GLIBCXX_3.4.15)(64bit)
libstdc++.so.6(GLIBCXX_3.4.20)(64bit)
libstdc++.so.6(GLIBCXX_3.4.21)(64bit)
libstdc++.so.6(GLIBCXX_3.4.9)(64bit)
perl(Config.pm)
perl(Encode.pm)
perl(Encode/Locale.pm) >= 1.050
perl(File/Basename.pm)
perl(File/Spec.pm)
perl(FindBin.pm)
perl(Getopt/Long.pm)
perl(IO/Scalar.pm)
perl(List/Util.pm)
perl(Moo.pm) >= 1.003.001
perl(Moo/Role.pm)
perl(POSIX.pm)
perl(SVG.pm)
perl(Thread/Semaphore.pm)
perl(Time/HiRes.pm)
perl(Unicode/Normalize.pm)
perl(Wx/Event.pm)
perl(XML/SAX/Base.pm)
perl(XSLoader.pm)
perl(base.pm)
perl(constant.pm)
perl(lib.pm)
perl(overload.pm)
perl(parent.pm)
perl(utf8.pm)
perl-base >= 1:5.10.0
rtld(GNU_HASH)
rpmlib(PayloadIsLzma)

61 зависимость в p8 против 52 зависимостей в Сизифе.
------- Comment #2 From 2018-07-22 19:42:31 -------
В версии 1.3.0-alt1_3 из Сизифа потерянных зависимостей не наблюдается.